# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "gnostr-query"
version = "0.0.11"
authors = ["gnostr-org <admin@gnostr.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "gnostr-query: retrieve nostr events."
homepage = "https://github.com/gnostr-org/gnostr-query"
documentation = "https://github.com/gnostr-org/gnostr-query"
readme = "README.md"
keywords = [
    "terminal",
    "input",
    "event",
    "cli",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/gnostr-org/gnostr-query.git"

[lib]
name = "gnostr_query"
path = "src/lib.rs"

[[bin]]
name = "gnostr_query"
path = "src/main.rs"

[[example]]
name = "define_types"
path = "examples/define_types.rs"

[[example]]
name = "extract_elements"
path = "examples/extract_elements.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.futures]
version = "0.3"

[dependencies.gnostr-crawler]
version = "0.0.14"

[dependencies.log]
version = "0.4.27"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-tungstenite]
version = "0.13.0"
features = ["tls"]

[dependencies.url]
version = "2.2"

[profile.dist]
lto = "thin"
inherits = "release"
